Class | Bio::Taxonomy
In: | lib/bio/db/phyloxml/phyloxml_elements.rb
Parent: | Object

This is general Taxonomy class.

### Methods

new

### Attributes

authority | [RW] | is used to keep the authority, such as ‘J. G. Cooper, 1863’, associated with the ‘scientific_name’.
code | [RW] | pattern = [a-zA-Z0-9_]{2,10} Can refer to any code/abbreviation/mnemonic, such as Bsu for Bacillus subtilis.
common_names | [RW] | An array of strings

rank

[RW]

value comes from list: domain kingdom, subkingdom, branch, infrakingdom, superphylum, phylum, subphylum, infraphylum, microphylum, superdivision, division, subdivision, infradivision, superclass, class, subclass, infraclass, superlegion, legion, sublegion, infralegion, supercohort, cohort, subcohort, infracohort, superorder, order, suborder, superfamily, family, subfamily, supertribe, tribe, subtribe, infratribe, genus, subgenus, superspecies, species, subspecies, variety, subvariety, form, subform, cultivar, unknown, other

scientific_name | [RW] | String.
synonyms | [RW] | An array of strings. Holds synonyms for scientific names or common names.

### Public Class methods

new()

[Source]

        # File lib/bio/db/phyloxml/phyloxml_elements.rb, line 64
    64:     def initialize
    65:       @common_names = []
    66:       @synonyms = []
    67:     end

[Validate]